<?php


add_action('init','novavideo_init_theme_options');

add_action('after_switch_theme', 'novavideo_activate_theme_options');

    function novavideo_activate_theme_options(){
        
        $theme_options = get_option( 'theme_options' );

        foreach( (array) $theme_options as $theme_option ){

            $option_id         = isset( $theme_option['id'] )           ? $theme_option['id'] : '';
            $option_default    = isset( $theme_option['default'] )      ? $theme_option['default'] : '';
            
            if( $option_default ) {
                //delete_option($option_id );
                if( (get_option( $option_id ) == '') ) {
                    
                    update_option( $option_id, $option_default );
                }
             
            }         
        }
    }

    function novavideo_init_theme_options(){

        $theme_name = novavideo_get_theme_name();
        
        $yes_no             = array( 
                                    'yes'  => __('yes', $theme_name),
                                    'no'   => __('no', $theme_name)
                                    );
        
        $type_display       = array(
                                    'tube'      => '<img class="space" src="' . get_bloginfo( 'template_url' ) . '/images/tube-light-selected.png" />' . __('tube', $theme_name),
                                    'extract'   => '<img class="space" src="' . get_bloginfo( 'template_url' ) . '/images/tube-extract-light-selected.png" />' . __('tube with extract', $theme_name),
                                    'wall'      => '<img class="space" src="' . get_bloginfo( 'template_url' ) . '/images/wall-light-selected.png" />' . __('wall thumbnails', $theme_name)
                                    );
                                    
        $type_pagination    = array(
                                    'classic'       => __('classic', $theme_name),
                                    'ajax_button'   => __('ajax button', $theme_name),
                                    );
                                    
        $carouselpos        = array(
                                    'header'  => __('top', $theme_name),
                                    'footer'  => __('bottom', $theme_name),
                                    );
                                    
        $display_nav        = array(
                                    'text'      => __('text', $theme_name),
                                    'thumb'     => __('thumb', $theme_name),
                                    );
        
        $pos_sidebar        = array(
                                    'left'  => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/sidebar-left.png" />',
                                    'right' => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/sidebar-right.png" />'
                                    );
        
        $width_sidebar      = array(
                                    'small'   => '160px',
                                    'large'   => '300px'
                                    );
                                    
        $corners            = array(
                                    'yes'  => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/rounded-corner.png" />',
                                    'no'    => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/right-corner.png" />'
                                    );
        
        $duree              = array(
                                    'extract'   => __('extract', $theme_name),
                                    'complete'  => __('complete', $theme_name)
                                    );
        
        $theme_ambient      = array(
                                    'dark'  => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/dark.png" />',
                                    'light' => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/light.png" />'
                                    );
                                    
        $dzplus             = array (
                                    'no'    => __('flat', $theme_name),
                                    'yes'   => __('gradient', $theme_name)
                                    );
        
        $theme_form         = array(
                                    'vertical'     => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/vertical.png" />',
                                    'horizontal'   => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/horizontal.png" />'
                                    );
        
        $main_color         = array(
                                    'predefined_color'  => __('predefined color', $theme_name),
                                    'custom_color'      => __('custom color', $theme_name)
                                    );
        
        $predefined_color_values   = array(
                                        '9d8861'   => __('beige', $theme_name),
                                        '00a5ae'   => __('blue', $theme_name),
                                        '785c50'   => __('brown', $theme_name),
                                        '98206a'   => __('cherry', $theme_name),
                                        '137176'   => __('dark blue', $theme_name),
                                        '2f7236'   => __('dark green', $theme_name),
                                        'bd1515'   => __('dark red', $theme_name),
                                        '668d3b'   => __('green', $theme_name),
                                        '655991'   => __('indigo', $theme_name),
                                        '59b29f'   => __('light blue', $theme_name),
                                        '9dba30'   => __('light green', $theme_name),
                                        'ff5000'   => __('orange', $theme_name),
                                        'd9378d'   => __('pink', $theme_name),
                                        'ad75a4'   => __('purple', $theme_name),
                                        'df3030'   => __('red', $theme_name),
                                        'fe8B00'   => __('yellow', $theme_name)
                                    );
                                    
        $textures_values    = array(
                                    'pattern'      => 'Pattern',
                                    'pattern1'     => 'Pattern 1',
                                    'pattern2'     => 'Pattern 2',
                                    'pattern3'     => 'Pattern 3',
                                    'pattern4'     => 'Pattern 4',
                                    'pattern5'     => 'Pattern 5',
                                    'pattern6'     => 'Pattern 6',
                                    'pattern7'     => 'Pattern 7',
                                    'pattern8'     => 'Pattern 8',
                                    'pattern9'     => 'Pattern 9',
                                    'pattern10'    => 'Pattern 10',
                                    'pattern11'    => 'Pattern 11',
                                    'pattern12'    => 'Pattern 12',
                                    'pattern13'    => 'Pattern 13',
                                    'pattern14'    => 'Pattern 14',
                                    'pattern15'    => 'Pattern 15',
                                    'pattern16'    => 'Pattern 16',
                                    'pattern17'    => 'Pattern 17'
                                    );
        
        $repeat_background  = array(
                                    'width'             => __('width', $theme_name),
                                    'height'            => __('height', $theme_name),
                                    'width_and_height'  => __('width and height', $theme_name),
                                    'no_repeat'         => __('no repeat', $theme_name)
                                    );
        
        $pos_background     = array(
                                    'top_left'      => __('top left', $theme_name),
                                    'top_center'    => __('top center', $theme_name),
                                    'top_right'     => __('top right', $theme_name),
                                    'middle_left'   => __('middle left', $theme_name),
                                    'middle_center' => __('middle center', $theme_name),
                                    'middle_right'  => __('middle right', $theme_name),
                                    'bottom_left'   => __('bottom left', $theme_name),
                                    'bottom_center' => __('bottom center', $theme_name),
                                    'bottom_right'  => __('bottom right', $theme_name)
                                    );
        
        $typography         = array(
                                    "ABeeZee"	=>	"ABeeZee",
                                    "Abel"	=>	"Abel",
                                    "Abril Fatface"	=>	"Abril Fatface",
                                    "Aclonica"	=>	"Aclonica",
                                    "Acme"	=>	"Acme",
                                    "Actor"	=>	"Actor",
                                    "Adamina"	=>	"Adamina",
                                    "Advent Pro"	=>	"Advent Pro",
                                    "Aguafina Script"	=>	"Aguafina Script",
                                    "Akronim"	=>	"Akronim",
                                    "Aladin"	=>	"Aladin",
                                    "Aldrich"	=>	"Aldrich",
                                    "Alegreya"	=>	"Alegreya",
                                    "Alegreya SC"	=>	"Alegreya SC",
                                    "Alex Brush"	=>	"Alex Brush",
                                    "Alfa Slab One"	=>	"Alfa Slab One",
                                    "Alice"	=>	"Alice",
                                    "Alike"	=>	"Alike",
                                    "Alike Angular"	=>	"Alike Angular",
                                    "Allan"	=>	"Allan",
                                    "Allerta"	=>	"Allerta",
                                    "Allerta Stencil"	=>	"Allerta Stencil",
                                    "Allura"	=>	"Allura",
                                    "Almendra"	=>	"Almendra",
                                    "Almendra Display"	=>	"Almendra Display",
                                    "Almendra SC"	=>	"Almendra SC",
                                    "Amarante"	=>	"Amarante",
                                    "Amaranth"	=>	"Amaranth",
                                    "Amatic SC"	=>	"Amatic SC",
                                    "Amethysta"	=>	"Amethysta",
                                    "Anaheim"	=>	"Anaheim",
                                    "Andada"	=>	"Andada",
                                    "Andika"	=>	"Andika",
                                    "Angkor"	=>	"Angkor",
                                    "Annie Use Your Telescope"	=>	"Annie Use Your Telescope",
                                    "Anonymous Pro"	=>	"Anonymous Pro",
                                    "Antic"	=>	"Antic",
                                    "Antic Didone"	=>	"Antic Didone",
                                    "Antic Slab"	=>	"Antic Slab",
                                    "Anton"	=>	"Anton",
                                    "Arapey"	=>	"Arapey",
                                    "Arbutus"	=>	"Arbutus",
                                    "Arbutus Slab"	=>	"Arbutus Slab",
                                    "Architects Daughter"	=>	"Architects Daughter",
                                    "Archivo Black"	=>	"Archivo Black",
                                    "Archivo Narrow"	=>	"Archivo Narrow",
                                    "Arimo"	=>	"Arimo",
                                    "Arizonia"	=>	"Arizonia",
                                    "Armata"	=>	"Armata",
                                    "Artifika"	=>	"Artifika",
                                    "Arvo"	=>	"Arvo",
                                    "Asap"	=>	"Asap",
                                    "Asset"	=>	"Asset",
                                    "Astloch"	=>	"Astloch",
                                    "Asul"	=>	"Asul",
                                    "Atomic Age"	=>	"Atomic Age",
                                    "Aubrey"	=>	"Aubrey",
                                    "Audiowide"	=>	"Audiowide",
                                    "Autour One"	=>	"Autour One",
                                    "Average"	=>	"Average",
                                    "Average Sans"	=>	"Average Sans",
                                    "Averia Gruesa Libre"	=>	"Averia Gruesa Libre",
                                    "Averia Libre"	=>	"Averia Libre",
                                    "Averia Sans Libre"	=>	"Averia Sans Libre",
                                    "Averia Serif Libre"	=>	"Averia Serif Libre",
                                    "Bad Script"	=>	"Bad Script",
                                    "Balthazar"	=>	"Balthazar",
                                    "Bangers"	=>	"Bangers",
                                    "Basic"	=>	"Basic",
                                    "Battambang"	=>	"Battambang",
                                    "Baumans"	=>	"Baumans",
                                    "Bayon"	=>	"Bayon",
                                    "Belgrano"	=>	"Belgrano",
                                    "Belleza"	=>	"Belleza",
                                    "BenchNine"	=>	"BenchNine",
                                    "Bentham"	=>	"Bentham",
                                    "Berkshire Swash"	=>	"Berkshire Swash",
                                    "Bevan"	=>	"Bevan",
                                    "Bigelow Rules"	=>	"Bigelow Rules",
                                    "Bigshot One"	=>	"Bigshot One",
                                    "Bilbo"	=>	"Bilbo",
                                    "Bilbo Swash Caps"	=>	"Bilbo Swash Caps",
                                    "Bitter"	=>	"Bitter",
                                    "Black Ops One"	=>	"Black Ops One",
                                    "Bokor"	=>	"Bokor",
                                    "Bonbon"	=>	"Bonbon",
                                    "Boogaloo"	=>	"Boogaloo",
                                    "Bowlby One"	=>	"Bowlby One",
                                    "Bowlby One SC"	=>	"Bowlby One SC",
                                    "Brawler"	=>	"Brawler",
                                    "Bree Serif"	=>	"Bree Serif",
                                    "Bubblegum Sans"	=>	"Bubblegum Sans",
                                    "Bubbler One"	=>	"Bubbler One",
                                    "Buda"	=>	"Buda",
                                    "Buenard"	=>	"Buenard",
                                    "Butcherman"	=>	"Butcherman",
                                    "Butterfly Kids"	=>	"Butterfly Kids",
                                    "Cabin"	=>	"Cabin",
                                    "Cabin Condensed"	=>	"Cabin Condensed",
                                    "Cabin Sketch"	=>	"Cabin Sketch",
                                    "Caesar Dressing"	=>	"Caesar Dressing",
                                    "Cagliostro"	=>	"Cagliostro",
                                    "Calligraffitti"	=>	"Calligraffitti",
                                    "Cambo"	=>	"Cambo",
                                    "Candal"	=>	"Candal",
                                    "Cantarell"	=>	"Cantarell",
                                    "Cantata One"	=>	"Cantata One",
                                    "Cantora One"	=>	"Cantora One",
                                    "Capriola"	=>	"Capriola",
                                    "Cardo"	=>	"Cardo",
                                    "Carme"	=>	"Carme",
                                    "Carrois Gothic"	=>	"Carrois Gothic",
                                    "Carrois Gothic SC"	=>	"Carrois Gothic SC",
                                    "Carter One"	=>	"Carter One",
                                    "Caudex"	=>	"Caudex",
                                    "Cedarville Cursive"	=>	"Cedarville Cursive",
                                    "Ceviche One"	=>	"Ceviche One",
                                    "Changa One"	=>	"Changa One",
                                    "Chango"	=>	"Chango",
                                    "Chau Philomene One"	=>	"Chau Philomene One",
                                    "Chela One"	=>	"Chela One",
                                    "Chelsea Market"	=>	"Chelsea Market",
                                    "Chenla"	=>	"Chenla",
                                    "Cherry Cream Soda"	=>	"Cherry Cream Soda",
                                    "Cherry Swash"	=>	"Cherry Swash",
                                    "Chewy"	=>	"Chewy",
                                    "Chicle"	=>	"Chicle",
                                    "Chivo"	=>	"Chivo",
                                    "Cinzel"	=>	"Cinzel",
                                    "Cinzel Decorative"	=>	"Cinzel Decorative",
                                    "Clicker Script"	=>	"Clicker Script",
                                    "Coda"	=>	"Coda",
                                    "Coda Caption"	=>	"Coda Caption",
                                    "Codystar"	=>	"Codystar",
                                    "Combo"	=>	"Combo",
                                    "Comfortaa"	=>	"Comfortaa",
                                    "Coming Soon"	=>	"Coming Soon",
                                    "Concert One"	=>	"Concert One",
                                    "Condiment"	=>	"Condiment",
                                    "Content"	=>	"Content",
                                    "Contrail One"	=>	"Contrail One",
                                    "Convergence"	=>	"Convergence",
                                    "Cookie"	=>	"Cookie",
                                    "Copse"	=>	"Copse",
                                    "Corben"	=>	"Corben",
                                    "Courgette"	=>	"Courgette",
                                    "Cousine"	=>	"Cousine",
                                    "Coustard"	=>	"Coustard",
                                    "Covered By Your Grace"	=>	"Covered By Your Grace",
                                    "Crafty Girls"	=>	"Crafty Girls",
                                    "Creepster"	=>	"Creepster",
                                    "Crete Round"	=>	"Crete Round",
                                    "Crimson Text"	=>	"Crimson Text",
                                    "Croissant One"	=>	"Croissant One",
                                    "Crushed"	=>	"Crushed",
                                    "Cuprum"	=>	"Cuprum",
                                    "Cutive"	=>	"Cutive",
                                    "Cutive Mono"	=>	"Cutive Mono",
                                    "Damion"	=>	"Damion",
                                    "Dancing Script"	=>	"Dancing Script",
                                    "Dangrek"	=>	"Dangrek",
                                    "Dawning of a New Day"	=>	"Dawning of a New Day",
                                    "Days One"	=>	"Days One",
                                    "Delius"	=>	"Delius",
                                    "Delius Swash Caps"	=>	"Delius Swash Caps",
                                    "Delius Unicase"	=>	"Delius Unicase",
                                    "Della Respira"	=>	"Della Respira",
                                    "Denk One"	=>	"Denk One",
                                    "Devonshire"	=>	"Devonshire",
                                    "Didact Gothic"	=>	"Didact Gothic",
                                    "Diplomata"	=>	"Diplomata",
                                    "Diplomata SC"	=>	"Diplomata SC",
                                    "Domine"	=>	"Domine",
                                    "Donegal One"	=>	"Donegal One",
                                    "Doppio One"	=>	"Doppio One",
                                    "Dorsa"	=>	"Dorsa",
                                    "Dosis"	=>	"Dosis",
                                    "Dr Sugiyama"	=>	"Dr Sugiyama",
                                    "Droid Sans"	=>	"Droid Sans",
                                    "Droid Sans Mono"	=>	"Droid Sans Mono",
                                    "Droid Serif"	=>	"Droid Serif",
                                    "Duru Sans"	=>	"Duru Sans",
                                    "Dynalight"	=>	"Dynalight",
                                    "EB Garamond"	=>	"EB Garamond",
                                    "Eagle Lake"	=>	"Eagle Lake",
                                    "Eater"	=>	"Eater",
                                    "Economica"	=>	"Economica",
                                    "Electrolize"	=>	"Electrolize",
                                    "Elsie"	=>	"Elsie",
                                    "Elsie Swash Caps"	=>	"Elsie Swash Caps",
                                    "Emblema One"	=>	"Emblema One",
                                    "Emilys Candy"	=>	"Emilys Candy",
                                    "Engagement"	=>	"Engagement",
                                    "Englebert"	=>	"Englebert",
                                    "Enriqueta"	=>	"Enriqueta",
                                    "Erica One"	=>	"Erica One",
                                    "Esteban"	=>	"Esteban",
                                    "Euphoria Script"	=>	"Euphoria Script",
                                    "Ewert"	=>	"Ewert",
                                    "Exo"	=>	"Exo",
                                    "Expletus Sans"	=>	"Expletus Sans",
                                    "Fanwood Text"	=>	"Fanwood Text",
                                    "Fascinate"	=>	"Fascinate",
                                    "Fascinate Inline"	=>	"Fascinate Inline",
                                    "Faster One"	=>	"Faster One",
                                    "Fasthand"	=>	"Fasthand",
                                    "Federant"	=>	"Federant",
                                    "Federo"	=>	"Federo",
                                    "Felipa"	=>	"Felipa",
                                    "Fenix"	=>	"Fenix",
                                    "Finger Paint"	=>	"Finger Paint",
                                    "Fjalla One"	=>	"Fjalla One",
                                    "Fjord One"	=>	"Fjord One",
                                    "Flamenco"	=>	"Flamenco",
                                    "Flavors"	=>	"Flavors",
                                    "Fondamento"	=>	"Fondamento",
                                    "Fontdiner Swanky"	=>	"Fontdiner Swanky",
                                    "Forum"	=>	"Forum",
                                    "Francois One"	=>	"Francois One",
                                    "Freckle Face"	=>	"Freckle Face",
                                    "Fredericka the Great"	=>	"Fredericka the Great",
                                    "Fredoka One"	=>	"Fredoka One",
                                    "Freehand"	=>	"Freehand",
                                    "Fresca"	=>	"Fresca",
                                    "Frijole"	=>	"Frijole",
                                    "Fruktur"	=>	"Fruktur",
                                    "Fugaz One"	=>	"Fugaz One",
                                    "GFS Didot"	=>	"GFS Didot",
                                    "GFS Neohellenic"	=>	"GFS Neohellenic",
                                    "Gabriela"	=>	"Gabriela",
                                    "Gafata"	=>	"Gafata",
                                    "Galdeano"	=>	"Galdeano",
                                    "Galindo"	=>	"Galindo",
                                    "Gentium Basic"	=>	"Gentium Basic",
                                    "Gentium Book Basic"	=>	"Gentium Book Basic",
                                    "Geo"	=>	"Geo",
                                    "Geostar"	=>	"Geostar",
                                    "Geostar Fill"	=>	"Geostar Fill",
                                    "Germania One"	=>	"Germania One",
                                    "Gilda Display"	=>	"Gilda Display",
                                    "Give You Glory"	=>	"Give You Glory",
                                    "Glass Antiqua"	=>	"Glass Antiqua",
                                    "Glegoo"	=>	"Glegoo",
                                    "Gloria Hallelujah"	=>	"Gloria Hallelujah",
                                    "Goblin One"	=>	"Goblin One",
                                    "Gochi Hand"	=>	"Gochi Hand",
                                    "Gorditas"	=>	"Gorditas",
                                    "Goudy Bookletter 1911"	=>	"Goudy Bookletter 1911",
                                    "Graduate"	=>	"Graduate",
                                    "Grand Hotel"	=>	"Grand Hotel",
                                    "Gravitas One"	=>	"Gravitas One",
                                    "Great Vibes"	=>	"Great Vibes",
                                    "Griffy"	=>	"Griffy",
                                    "Gruppo"	=>	"Gruppo",
                                    "Gudea"	=>	"Gudea",
                                    "Habibi"	=>	"Habibi",
                                    "Hammersmith One"	=>	"Hammersmith One",
                                    "Hanalei"	=>	"Hanalei",
                                    "Hanalei Fill"	=>	"Hanalei Fill",
                                    "Handlee"	=>	"Handlee",
                                    "Hanuman"	=>	"Hanuman",
                                    "Happy Monkey"	=>	"Happy Monkey",
                                    "Headland One"	=>	"Headland One",
                                    "Henny Penny"	=>	"Henny Penny",
                                    "Herr Von Muellerhoff"	=>	"Herr Von Muellerhoff",
                                    "Holtwood One SC"	=>	"Holtwood One SC",
                                    "Homemade Apple"	=>	"Homemade Apple",
                                    "Homenaje"	=>	"Homenaje",
                                    "IM Fell DW Pica"	=>	"IM Fell DW Pica",
                                    "IM Fell DW Pica SC"	=>	"IM Fell DW Pica SC",
                                    "IM Fell Double Pica"	=>	"IM Fell Double Pica",
                                    "IM Fell Double Pica SC"	=>	"IM Fell Double Pica SC",
                                    "IM Fell English"	=>	"IM Fell English",
                                    "IM Fell English SC"	=>	"IM Fell English SC",
                                    "IM Fell French Canon"	=>	"IM Fell French Canon",
                                    "IM Fell French Canon SC"	=>	"IM Fell French Canon SC",
                                    "IM Fell Great Primer"	=>	"IM Fell Great Primer",
                                    "IM Fell Great Primer SC"	=>	"IM Fell Great Primer SC",
                                    "Iceberg"	=>	"Iceberg",
                                    "Iceland"	=>	"Iceland",
                                    "Imprima"	=>	"Imprima",
                                    "Inconsolata"	=>	"Inconsolata",
                                    "Inder"	=>	"Inder",
                                    "Indie Flower"	=>	"Indie Flower",
                                    "Inika"	=>	"Inika",
                                    "Irish Grover"	=>	"Irish Grover",
                                    "Istok Web"	=>	"Istok Web",
                                    "Italiana"	=>	"Italiana",
                                    "Italianno"	=>	"Italianno",
                                    "Jacques Francois"	=>	"Jacques Francois",
                                    "Jacques Francois Shadow"	=>	"Jacques Francois Shadow",
                                    "Jim Nightshade"	=>	"Jim Nightshade",
                                    "Jockey One"	=>	"Jockey One",
                                    "Jolly Lodger"	=>	"Jolly Lodger",
                                    "Josefin Sans"	=>	"Josefin Sans",
                                    "Josefin Slab"	=>	"Josefin Slab",
                                    "Joti One"	=>	"Joti One",
                                    "Judson"	=>	"Judson",
                                    "Julee"	=>	"Julee",
                                    "Julius Sans One"	=>	"Julius Sans One",
                                    "Junge"	=>	"Junge",
                                    "Jura"	=>	"Jura",
                                    "Just Another Hand"	=>	"Just Another Hand",
                                    "Just Me Again Down Here"	=>	"Just Me Again Down Here",
                                    "Kameron"	=>	"Kameron",
                                    "Karla"	=>	"Karla",
                                    "Kaushan Script"	=>	"Kaushan Script",
                                    "Kavoon"	=>	"Kavoon",
                                    "Keania One"	=>	"Keania One",
                                    "Kelly Slab"	=>	"Kelly Slab",
                                    "Kenia"	=>	"Kenia",
                                    "Khmer"	=>	"Khmer",
                                    "Kite One"	=>	"Kite One",
                                    "Knewave"	=>	"Knewave",
                                    "Kotta One"	=>	"Kotta One",
                                    "Koulen"	=>	"Koulen",
                                    "Kranky"	=>	"Kranky",
                                    "Kreon"	=>	"Kreon",
                                    "Kristi"	=>	"Kristi",
                                    "Krona One"	=>	"Krona One",
                                    "La Belle Aurore"	=>	"La Belle Aurore",
                                    "Lancelot"	=>	"Lancelot",
                                    "Lato"	=>	"Lato",
                                    "League Script"	=>	"League Script",
                                    "Leckerli One"	=>	"Leckerli One",
                                    "Ledger"	=>	"Ledger",
                                    "Lekton"	=>	"Lekton",
                                    "Lemon"	=>	"Lemon",
                                    "Libre Baskerville"	=>	"Libre Baskerville",
                                    "Life Savers"	=>	"Life Savers",
                                    "Lilita One"	=>	"Lilita One",
                                    "Limelight"	=>	"Limelight",
                                    "Linden Hill"	=>	"Linden Hill",
                                    "Lobster"	=>	"Lobster",
                                    "Lobster Two"	=>	"Lobster Two",
                                    "Londrina Outline"	=>	"Londrina Outline",
                                    "Londrina Shadow"	=>	"Londrina Shadow",
                                    "Londrina Sketch"	=>	"Londrina Sketch",
                                    "Londrina Solid"	=>	"Londrina Solid",
                                    "Lora"	=>	"Lora",
                                    "Love Ya Like A Sister"	=>	"Love Ya Like A Sister",
                                    "Loved by the King"	=>	"Loved by the King",
                                    "Lovers Quarrel"	=>	"Lovers Quarrel",
                                    "Luckiest Guy"	=>	"Luckiest Guy",
                                    "Lusitana"	=>	"Lusitana",
                                    "Lustria"	=>	"Lustria",
                                    "Macondo"	=>	"Macondo",
                                    "Macondo Swash Caps"	=>	"Macondo Swash Caps",
                                    "Magra"	=>	"Magra",
                                    "Maiden Orange"	=>	"Maiden Orange",
                                    "Mako"	=>	"Mako",
                                    "Marcellus"	=>	"Marcellus",
                                    "Marcellus SC"	=>	"Marcellus SC",
                                    "Marck Script"	=>	"Marck Script",
                                    "Margarine"	=>	"Margarine",
                                    "Marko One"	=>	"Marko One",
                                    "Marmelad"	=>	"Marmelad",
                                    "Marvel"	=>	"Marvel",
                                    "Mate"	=>	"Mate",
                                    "Mate SC"	=>	"Mate SC",
                                    "Maven Pro"	=>	"Maven Pro",
                                    "McLaren"	=>	"McLaren",
                                    "Meddon"	=>	"Meddon",
                                    "MedievalSharp"	=>	"MedievalSharp",
                                    "Medula One"	=>	"Medula One",
                                    "Megrim"	=>	"Megrim",
                                    "Meie Script"	=>	"Meie Script",
                                    "Merienda"	=>	"Merienda",
                                    "Merienda One"	=>	"Merienda One",
                                    "Merriweather"	=>	"Merriweather",
                                    "Merriweather Sans"	=>	"Merriweather Sans",
                                    "Metal"	=>	"Metal",
                                    "Metal Mania"	=>	"Metal Mania",
                                    "Metamorphous"	=>	"Metamorphous",
                                    "Metrophobic"	=>	"Metrophobic",
                                    "Michroma"	=>	"Michroma",
                                    "Milonga"	=>	"Milonga",
                                    "Miltonian"	=>	"Miltonian",
                                    "Miltonian Tattoo"	=>	"Miltonian Tattoo",
                                    "Miniver"	=>	"Miniver",
                                    "Miss Fajardose"	=>	"Miss Fajardose",
                                    "Modern Antiqua"	=>	"Modern Antiqua",
                                    "Molengo"	=>	"Molengo",
                                    "Molle"	=>	"Molle",
                                    "Monda"	=>	"Monda",
                                    "Monofett"	=>	"Monofett",
                                    "Monoton"	=>	"Monoton",
                                    "Monsieur La Doulaise"	=>	"Monsieur La Doulaise",
                                    "Montaga"	=>	"Montaga",
                                    "Montez"	=>	"Montez",
                                    "Montserrat"	=>	"Montserrat",
                                    "Montserrat Alternates"	=>	"Montserrat Alternates",
                                    "Montserrat Subrayada"	=>	"Montserrat Subrayada",
                                    "Moul"	=>	"Moul",
                                    "Moulpali"	=>	"Moulpali",
                                    "Mountains of Christmas"	=>	"Mountains of Christmas",
                                    "Mouse Memoirs"	=>	"Mouse Memoirs",
                                    "Mr Bedfort"	=>	"Mr Bedfort",
                                    "Mr Dafoe"	=>	"Mr Dafoe",
                                    "Mr De Haviland"	=>	"Mr De Haviland",
                                    "Mrs Saint Delafield"	=>	"Mrs Saint Delafield",
                                    "Mrs Sheppards"	=>	"Mrs Sheppards",
                                    "Muli"	=>	"Muli",
                                    "Mystery Quest"	=>	"Mystery Quest",
                                    "Neucha"	=>	"Neucha",
                                    "Neuton"	=>	"Neuton",
                                    "New Rocker"	=>	"New Rocker",
                                    "News Cycle"	=>	"News Cycle",
                                    "Niconne"	=>	"Niconne",
                                    "Nixie One"	=>	"Nixie One",
                                    "Nobile"	=>	"Nobile",
                                    "Nokora"	=>	"Nokora",
                                    "Norican"	=>	"Norican",
                                    "Nosifer"	=>	"Nosifer",
                                    "Nothing You Could Do"	=>	"Nothing You Could Do",
                                    "Noticia Text"	=>	"Noticia Text",
                                    "Noto Sans"	=>	"Noto Sans",
                                    "Noto Serif"	=>	"Noto Serif",
                                    "Nova Cut"	=>	"Nova Cut",
                                    "Nova Flat"	=>	"Nova Flat",
                                    "Nova Mono"	=>	"Nova Mono",
                                    "Nova Oval"	=>	"Nova Oval",
                                    "Nova Round"	=>	"Nova Round",
                                    "Nova Script"	=>	"Nova Script",
                                    "Nova Slim"	=>	"Nova Slim",
                                    "Nova Square"	=>	"Nova Square",
                                    "Numans"	=>	"Numans",
                                    "Nunito"	=>	"Nunito",
                                    "Odor Mean Chey"	=>	"Odor Mean Chey",
                                    "Offside"	=>	"Offside",
                                    "Old Standard TT"	=>	"Old Standard TT",
                                    "Oldenburg"	=>	"Oldenburg",
                                    "Oleo Script"	=>	"Oleo Script",
                                    "Oleo Script Swash Caps"	=>	"Oleo Script Swash Caps",
                                    "Open Sans"	=>	"Open Sans",
                                    "Open Sans Condensed"	=>	"Open Sans Condensed",
                                    "Oranienbaum"	=>	"Oranienbaum",
                                    "Orbitron"	=>	"Orbitron",
                                    "Oregano"	=>	"Oregano",
                                    "Orienta"	=>	"Orienta",
                                    "Original Surfer"	=>	"Original Surfer",
                                    "Oswald"	=>	"Oswald",
                                    "Over the Rainbow"	=>	"Over the Rainbow",
                                    "Overlock"	=>	"Overlock",
                                    "Overlock SC"	=>	"Overlock SC",
                                    "Ovo"	=>	"Ovo",
                                    "Oxygen"	=>	"Oxygen",
                                    "Oxygen Mono"	=>	"Oxygen Mono",
                                    "PT Mono"	=>	"PT Mono",
                                    "PT Sans"	=>	"PT Sans",
                                    "PT Sans Caption"	=>	"PT Sans Caption",
                                    "PT Sans Narrow"	=>	"PT Sans Narrow",
                                    "PT Serif"	=>	"PT Serif",
                                    "PT Serif Caption"	=>	"PT Serif Caption",
                                    "Pacifico"	=>	"Pacifico",
                                    "Paprika"	=>	"Paprika",
                                    "Parisienne"	=>	"Parisienne",
                                    "Passero One"	=>	"Passero One",
                                    "Passion One"	=>	"Passion One",
                                    "Patrick Hand"	=>	"Patrick Hand",
                                    "Patrick Hand SC"	=>	"Patrick Hand SC",
                                    "Patua One"	=>	"Patua One",
                                    "Paytone One"	=>	"Paytone One",
                                    "Peralta"	=>	"Peralta",
                                    "Permanent Marker"	=>	"Permanent Marker",
                                    "Petit Formal Script"	=>	"Petit Formal Script",
                                    "Petrona"	=>	"Petrona",
                                    "Philosopher"	=>	"Philosopher",
                                    "Piedra"	=>	"Piedra",
                                    "Pinyon Script"	=>	"Pinyon Script",
                                    "Pirata One"	=>	"Pirata One",
                                    "Plaster"	=>	"Plaster",
                                    "Play"	=>	"Play",
                                    "Playball"	=>	"Playball",
                                    "Playfair Display"	=>	"Playfair Display",
                                    "Playfair Display SC"	=>	"Playfair Display SC",
                                    "Podkova"	=>	"Podkova",
                                    "Poiret One"	=>	"Poiret One",
                                    "Poller One"	=>	"Poller One",
                                    "Poly"	=>	"Poly",
                                    "Pompiere"	=>	"Pompiere",
                                    "Pontano Sans"	=>	"Pontano Sans",
                                    "Port Lligat Sans"	=>	"Port Lligat Sans",
                                    "Port Lligat Slab"	=>	"Port Lligat Slab",
                                    "Prata"	=>	"Prata",
                                    "Preahvihear"	=>	"Preahvihear",
                                    "Press Start 2P"	=>	"Press Start 2P",
                                    "Princess Sofia"	=>	"Princess Sofia",
                                    "Prociono"	=>	"Prociono",
                                    "Prosto One"	=>	"Prosto One",
                                    "Puritan"	=>	"Puritan",
                                    "Purple Purse"	=>	"Purple Purse",
                                    "Quando"	=>	"Quando",
                                    "Quantico"	=>	"Quantico",
                                    "Quattrocento"	=>	"Quattrocento",
                                    "Quattrocento Sans"	=>	"Quattrocento Sans",
                                    "Questrial"	=>	"Questrial",
                                    "Quicksand"	=>	"Quicksand",
                                    "Quintessential"	=>	"Quintessential",
                                    "Qwigley"	=>	"Qwigley",
                                    "Racing Sans One"	=>	"Racing Sans One",
                                    "Radley"	=>	"Radley",
                                    "Raleway"	=>	"Raleway",
                                    "Raleway Dots"	=>	"Raleway Dots",
                                    "Rambla"	=>	"Rambla",
                                    "Rammetto One"	=>	"Rammetto One",
                                    "Ranchers"	=>	"Ranchers",
                                    "Rancho"	=>	"Rancho",
                                    "Rationale"	=>	"Rationale",
                                    "Redressed"	=>	"Redressed",
                                    "Reenie Beanie"	=>	"Reenie Beanie",
                                    "Revalia"	=>	"Revalia",
                                    "Ribeye"	=>	"Ribeye",
                                    "Ribeye Marrow"	=>	"Ribeye Marrow",
                                    "Righteous"	=>	"Righteous",
                                    "Risque"	=>	"Risque",
                                    "Roboto"	=>	"Roboto",
                                    "Roboto Condensed"	=>	"Roboto Condensed",
                                    "Rochester"	=>	"Rochester",
                                    "Rock Salt"	=>	"Rock Salt",
                                    "Rokkitt"	=>	"Rokkitt",
                                    "Romanesco"	=>	"Romanesco",
                                    "Ropa Sans"	=>	"Ropa Sans",
                                    "Rosario"	=>	"Rosario",
                                    "Rosarivo"	=>	"Rosarivo",
                                    "Rouge Script"	=>	"Rouge Script",
                                    "Ruda"	=>	"Ruda",
                                    "Rufina"	=>	"Rufina",
                                    "Ruge Boogie"	=>	"Ruge Boogie",
                                    "Ruluko"	=>	"Ruluko",
                                    "Rum Raisin"	=>	"Rum Raisin",
                                    "Ruslan Display"	=>	"Ruslan Display",
                                    "Russo One"	=>	"Russo One",
                                    "Ruthie"	=>	"Ruthie",
                                    "Rye"	=>	"Rye",
                                    "Sacramento"	=>	"Sacramento",
                                    "Sail"	=>	"Sail",
                                    "Salsa"	=>	"Salsa",
                                    "Sanchez"	=>	"Sanchez",
                                    "Sancreek"	=>	"Sancreek",
                                    "Sansita One"	=>	"Sansita One",
                                    "Sarina"	=>	"Sarina",
                                    "Satisfy"	=>	"Satisfy",
                                    "Scada"	=>	"Scada",
                                    "Schoolbell"	=>	"Schoolbell",
                                    "Seaweed Script"	=>	"Seaweed Script",
                                    "Sevillana"	=>	"Sevillana",
                                    "Seymour One"	=>	"Seymour One",
                                    "Shadows Into Light"	=>	"Shadows Into Light",
                                    "Shadows Into Light Two"	=>	"Shadows Into Light Two",
                                    "Shanti"	=>	"Shanti",
                                    "Share"	=>	"Share",
                                    "Share Tech"	=>	"Share Tech",
                                    "Share Tech Mono"	=>	"Share Tech Mono",
                                    "Shojumaru"	=>	"Shojumaru",
                                    "Short Stack"	=>	"Short Stack",
                                    "Siemreap"	=>	"Siemreap",
                                    "Sigmar One"	=>	"Sigmar One",
                                    "Signika"	=>	"Signika",
                                    "Signika Negative"	=>	"Signika Negative",
                                    "Simonetta"	=>	"Simonetta",
                                    "Sintony"	=>	"Sintony",
                                    "Sirin Stencil"	=>	"Sirin Stencil",
                                    "Six Caps"	=>	"Six Caps",
                                    "Skranji"	=>	"Skranji",
                                    "Slackey"	=>	"Slackey",
                                    "Smokum"	=>	"Smokum",
                                    "Smythe"	=>	"Smythe",
                                    "Sniglet"	=>	"Sniglet",
                                    "Snippet"	=>	"Snippet",
                                    "Snowburst One"	=>	"Snowburst One",
                                    "Sofadi One"	=>	"Sofadi One",
                                    "Sofia"	=>	"Sofia",
                                    "Sonsie One"	=>	"Sonsie One",
                                    "Sorts Mill Goudy"	=>	"Sorts Mill Goudy",
                                    "Source Code Pro"	=>	"Source Code Pro",
                                    "Source Sans Pro"	=>	"Source Sans Pro",
                                    "Special Elite"	=>	"Special Elite",
                                    "Spicy Rice"	=>	"Spicy Rice",
                                    "Spinnaker"	=>	"Spinnaker",
                                    "Spirax"	=>	"Spirax",
                                    "Squada One"	=>	"Squada One",
                                    "Stalemate"	=>	"Stalemate",
                                    "Stalinist One"	=>	"Stalinist One",
                                    "Stardos Stencil"	=>	"Stardos Stencil",
                                    "Stint Ultra Condensed"	=>	"Stint Ultra Condensed",
                                    "Stint Ultra Expanded"	=>	"Stint Ultra Expanded",
                                    "Stoke"	=>	"Stoke",
                                    "Strait"	=>	"Strait",
                                    "Sue Ellen Francisco"	=>	"Sue Ellen Francisco",
                                    "Sunshiney"	=>	"Sunshiney",
                                    "Supermercado One"	=>	"Supermercado One",
                                    "Suwannaphum"	=>	"Suwannaphum",
                                    "Swanky and Moo Moo"	=>	"Swanky and Moo Moo",
                                    "Syncopate"	=>	"Syncopate",
                                    "Tangerine"	=>	"Tangerine",
                                    "Taprom"	=>	"Taprom",
                                    "Tauri"	=>	"Tauri",
                                    "Telex"	=>	"Telex",
                                    "Tenor Sans"	=>	"Tenor Sans",
                                    "Text Me One"	=>	"Text Me One",
                                    "The Girl Next Door"	=>	"The Girl Next Door",
                                    "Tienne"	=>	"Tienne",
                                    "Tinos"	=>	"Tinos",
                                    "Titan One"	=>	"Titan One",
                                    "Titillium Web"	=>	"Titillium Web",
                                    "Trade Winds"	=>	"Trade Winds",
                                    "Trocchi"	=>	"Trocchi",
                                    "Trochut"	=>	"Trochut",
                                    "Trykker"	=>	"Trykker",
                                    "Tulpen One"	=>	"Tulpen One",
                                    "Ubuntu"	=>	"Ubuntu",
                                    "Ubuntu Condensed"	=>	"Ubuntu Condensed",
                                    "Ubuntu Mono"	=>	"Ubuntu Mono",
                                    "Ultra"	=>	"Ultra",
                                    "Uncial Antiqua"	=>	"Uncial Antiqua",
                                    "Underdog"	=>	"Underdog",
                                    "Unica One"	=>	"Unica One",
                                    "UnifrakturCook"	=>	"UnifrakturCook",
                                    "UnifrakturMaguntia"	=>	"UnifrakturMaguntia",
                                    "Unkempt"	=>	"Unkempt",
                                    "Unlock"	=>	"Unlock",
                                    "Unna"	=>	"Unna",
                                    "VT323"	=>	"VT323",
                                    "Vampiro One"	=>	"Vampiro One",
                                    "Varela"	=>	"Varela",
                                    "Varela Round"	=>	"Varela Round",
                                    "Vast Shadow"	=>	"Vast Shadow",
                                    "Vibur"	=>	"Vibur",
                                    "Vidaloka"	=>	"Vidaloka",
                                    "Viga"	=>	"Viga",
                                    "Voces"	=>	"Voces",
                                    "Volkhov"	=>	"Volkhov",
                                    "Vollkorn"	=>	"Vollkorn",
                                    "Voltaire"	=>	"Voltaire",
                                    "Waiting for the Sunrise"	=>	"Waiting for the Sunrise",
                                    "Wallpoet"	=>	"Wallpoet",
                                    "Walter Turncoat"	=>	"Walter Turncoat",
                                    "Warnes"	=>	"Warnes",
                                    "Wellfleet"	=>	"Wellfleet",
                                    "Wendy One"	=>	"Wendy One",
                                    "Wire One"	=>	"Wire One",
                                    "Yanone Kaffeesatz"	=>	"Yanone Kaffeesatz",
                                    "Yellowtail"	=>	"Yellowtail",
                                    "Yeseva One"	=>	"Yeseva One",
                                    "Yesteryear"	=>	"Yesteryear",
                                    "Zeyada"	=>	"Zeyada"                            
                                    );
        
        $user_options = array();
        
        
        /* Option Page 1 - General */
        
        $user_options[] = array(
                                "page_title"        => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/general.png" />' . __('General', $theme_name),
            			        "type"              => "page"
                                );       
        
        $user_options[] = array(
                                "label"             => __('Type of display', $theme_name),
                    			"desc"              => __('Display your site in the form of a tube, a tube with extracts or a wall thumbnails.', $theme_name),
                    			"id"                => $theme_name."_type_display",
                    			"default"           => "tube",
                    			"type"              => "radio",
                    			"values"            => $type_display
                          );
                          
        $user_options[] = array(
                                "label" => __('Number of videos in listings', $theme_name),
                                "desc" => __('Enter the number of videos you want to display in your home, categories and tags pages.', $theme_name),
        			            "id" => $theme_name."_nb_videos_listing",
        			            "default" => "12",
        			            "type" => "slider",
                                "slider_config" => array(
                                                        "min"  => 1,
                                                        "max"  => 100,
                                                        "step" => 1,
                                                        "type" => __('videos', $theme_name)                                     
                                                        )
                            );
                            
        $user_options[] = array(
                                "label"             => __('Type of pagination', $theme_name),
                    			"desc"              => __('Choose the pagination system you want.', $theme_name),
                    			"id"                => $theme_name."_type_pagination",
                    			"default"           => "ajax_button",
                    			"type"              => "radio",
                    			"values"            => $type_pagination
                          );
        
        $user_options[] = array(
                    			"type"              => "separator"
                            );       
        
                
        
        $user_options[] = array(
                                "label"             => __('Enable sidebar', $theme_name),
        			            "desc"              => __('Display a sidebar on your site.', $theme_name),
        			            "id"                => $theme_name."_sidebar",
        			            "default"           => 'yes',
        			            "type"              => "radio",
        			            "values"            => $yes_no,
                                "controls"          => array(
                                                            array(
                                                                    "controls_child_id"         => $theme_name."_pos_sidebar",
                                                                    "controls_when_value_id"    => 'yes'
                                                                 ),
                                                            array(
                                                                    "controls_child_id"         => $theme_name."_width_sidebar",
                                                                    "controls_when_value_id"    => 'yes'
                                                                 ),
                                                            )
                                );
                                
        
        $user_options[] = array(
                                "label"             => __('Sidebar position', $theme_name),
        			            "desc"              => __('Display the sidebar to the left or right.', $theme_name),
        			            "id"                => $theme_name."_pos_sidebar",
        			            "default"           => "right",
        			            "type"              => "radio",
        			            "values"            => $pos_sidebar,
                                );
        
        
        $user_options[] = array(
                                "label"             => __('Sidebar width', $theme_name),
        			            "desc"              => __('Display a small or large sidebar.', $theme_name),
                    			"id"                => $theme_name."_width_sidebar",
                    			"default"           => "small",
                    			"type"              => "radio",
                    			"values"            => $width_sidebar
                                );
        
        
        $user_options[] = array(
                    			"type"              => "separator"
                            );
        
        $user_options[] = array( "label" => __('Enable search header', $theme_name),
        			"desc" => __('Display a searchform at the top of your site.', $theme_name),
        			"id" => $theme_name."_search_header",
        			"default" => 'yes',
        			"type" => "radio",
        			"values" => $yes_no);        
        
        
        $user_options[] = array( "label" => __('Home title', $theme_name),
        			"desc" => __('The title h1 on your home page.', $theme_name),
        			"id" => $theme_name."_home_title",
        			"default" => "",
        			"type" => "input");
                    
        $user_options[] = array( "label" => __('Home description', $theme_name),
        			"desc" => __('The description of your website on your home page.', $theme_name),
        			"id" => $theme_name."_home_desc",
        			"default" => "",
        			"type" => "textarea");
                    
        $user_options[] = array(
                    			"type"              => "separator"
                            );  
                            
        $user_options[] = array( "label" => __('Footer text', $theme_name),
        			"desc" => __('Change here the text displayed in the footer.', $theme_name),
        			"id" => $theme_name."_footer_text",
        			"default" => "",
        			"type" => "input");      
        
        $user_options[] = array( "label" => __('Tracking code', $theme_name),
        			"desc" => __('Enter a tracking code, for example : Google Analytics.', $theme_name),
        			"id" => $theme_name."_tracking",
        			"default" => "",
        			"type" => "textarea");
        
        
        
        /* Option Page 2 - Typography */
        
        $user_options[] = array( "page_title" => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/typography.png" />' . __('Typography', $theme_name) ,
        			"type" => "page");
        
        
        $user_options[] = array( "label" => __('Enable custom fonts', $theme_name),
        			"desc"               => __('Enable the custom fonts for titles.', $theme_name),
        			"id"                 => $theme_name."_google_font",
        			"default"            => 'yes',
        			"type"               => "radio",
        			"values"             => $yes_no,
                    "controls"           => array(
                                                    array(
                                                            "controls_child_id"         => $theme_name."_typo_title",
                                                            "controls_when_value_id"    => 'yes'
                                                         ),
                                                    array(
                                                            "controls_child_id"         => $theme_name."_site_title_size",
                                                            "controls_when_value_id"    => 'yes'
                                                         ),
                                                    array(
                                                            "controls_child_id"         => $theme_name."_pages_title_size",
                                                            "controls_when_value_id"    => 'yes'
                                                         ),
                                                    array(
                                                            "controls_child_id"         => $theme_name."_widgets_title_size",
                                                            "controls_when_value_id"    => 'yes'
                                                         )                                                    
                                                  )
                    );
        
        
        $user_options[] = array( "label" => __('Titles font', $theme_name),
        			"desc" => __('Choose the font for titles.', $theme_name),
        			"id" => $theme_name."_typo_title",
        			"default" => "Abel",
        			"type" => "select",
        			"values" => $typography);
        
        
        $user_options[] = array( "label" => __('Site title font size', $theme_name),
        			"desc" => __('Choose the size of the title of your site.', $theme_name),
        			"id" => $theme_name."_site_title_size",
        			"default" => "35",
        			"type" => "slider",
                    "slider_config" => array(
                                            "min"  => 14,
                                            "max"  => 60,
                                            "step" => 1,
                                            "type" => 'px'                                       
                                            ));
                                            
        $user_options[] = array(
                                "label"             => __('Pages title font size', $theme_name),
                    			"desc"              => __('Choose the size of the pages title.', $theme_name),
                    			"id"                => $theme_name."_pages_title_size",
                    			"default"           => "18",
                    			"type"              => "slider",
                                "slider_config"     => array(
                                                            "min"  => 12,
                                                            "max"  => 26,
                                                            "step" => 1,
                                                            "type" => 'px'                                       
                                                            ));
                                            
        $user_options[] = array(
                                "label"             => __('Widgets title font size', $theme_name),
                    			"desc"              => __('Choose the size of the widgets title.', $theme_name),
                    			"id"                => $theme_name."_widgets_title_size",
                    			"default"           => "16",
                    			"type"              => "slider",
                                "slider_config"     => array(
                                                            "min"  => 10,
                                                            "max"  => 22,
                                                            "step" => 1,
                                                            "type" => 'px'                                       
                                                            ));
        
        
        /* Option Page 3 - Design */
        
        $user_options[] = array( "page_title" => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/design.png" />' . __('Design', $theme_name),
        			"type" => "page");
                    
                    
        $user_options[] = array(
                                "label"             => __('Responsive Design', $theme_name),
        			            "desc"              => __('If enabled, screen size and orientation will be detected and the layout will change accordingly (mobile and tablet)', $theme_name),
        			            "id"                => $theme_name."_responsive_design",
        			            "default"           => 'yes',
        			            "type"              => "radio",
        			            "values"            => $yes_no
                            );
                                    
        
        $user_options[] = array(
                                "label"             => __('Atmosphere', $theme_name),
                    			"desc"              => __('Choose a dark or light atmosphere for your website.', $theme_name),
                    			"id"                => $theme_name."_ambient",
                    			"default"           => "dark",
                    			"type"              => "radio",
                    			"values"            => $theme_ambient
                            );
        
        
        $user_options[] = array(
                                "label"             => __('Design style', $theme_name),
                    			"desc"              => __('Check if you want a flat or gradient design.', $theme_name),
                    			"id"                => $theme_name."_dzplus",
                    			"default"           => "yes",
                                "values"            => $dzplus,
                    			"type"              => "radio"
                            );
        
        
        $user_options[] = array(
                                "label"             => __('Shape', $theme_name),
                    			"desc"              => __('Choose a vertical or horizontal shape for your website.', $theme_name),
                    			"id"                => $theme_name."_form",
                    			"default"           => "horizontal",
                    			"type"              => "radio",
                    			"values"            => $theme_form
                            );
                    
        $user_options[] = array(
                                "label"             => __('Corners', $theme_name),
                    			"desc"              => __('Choose rounded or right corners.', $theme_name),
                    			"id"                => $theme_name."_radius",
                    			"default"           => "no",
                    			"type"              => "radio",
                    			"values"            => $corners
                            );
        
        $user_options[] = array(
                    			"type"              => "separator"
                            );
        
        $user_options[] = array( "label" => __('Main color', $theme_name),
        			"desc" => __('', $theme_name),
        			"id" => $theme_name."_main_color",
        			"default" => "predefined_color",
        			"type" => "radio",
        			"values" => $main_color,
                    "controls"           => array(
                                                    array(
                                                            "controls_child_id"         => $theme_name."_predefined_color",
                                                            "controls_when_value_id"    => 'predefined_color'
                                                         ),
                                                    array(
                                                            "controls_child_id"         => $theme_name."_custom_color",
                                                            "controls_when_value_id"    => 'custom_color'
                                                         )
                                                  )
                    );
        
        
        $user_options[] = array( "label" => __('Predefined color', $theme_name),
        			"desc" => __('Choose the main color of your site.', $theme_name),
        			"id" => $theme_name."_predefined_color",
        			"default" => "bd1515",
        			"type" => "colors",
                    "values" => $predefined_color_values);
        
        
        $user_options[] = array(
                                "label"             => __('Custom color', $theme_name),
                    			"desc"              => __('Choose the main color of your site.', $theme_name),
                                "default"           => "",
                    			"id"                => $theme_name."_custom_color",
                    			"type"              => "colorpicker"
                          );
                          
        
        $user_options[] = array(
                    			"type"              => "separator"
                            );       

        
        $user_options[] = array( "label" => __('Enable logo', $theme_name),
        			"desc" => __('Display a logo at the top of your website.', $theme_name),
        			"id" => $theme_name."_enable_logo",
        			"default"            => 'no',
        			"type"               => "radio",
                    "values"             => $yes_no,
                    "controls"           => array(
                                                    array(
                                                            "controls_child_id"         => $theme_name."_logo",
                                                            "controls_when_value_id"    => 'yes'
                                                         ),
                                                    array(
                                                            "controls_child_id"         => $theme_name."_logo_top",
                                                            "controls_when_value_id"    => 'yes'
                                                         ),
                                                    array(
                                                            "controls_child_id"         => $theme_name."_logo_left",
                                                            "controls_when_value_id"    => 'yes'
                                                         ),
                                                    array(
                                                            "controls_child_id"         => $theme_name."_site_title_size",
                                                            "controls_when_value_id"    => 'no'
                                                         )
                                                  )
        			);
        
        $user_options[] = array( "label" => __('Image', $theme_name),
        			"desc" => __('Upload your logo here.', $theme_name),
        			"id" => $theme_name."_logo",
        			"default" => "",
        			"type" => "upload");
        
        
        $user_options[] = array( "label" => __('Margin top', $theme_name),
        			"desc" => __('Choose the margin top for your logo.', $theme_name),
        			"id" => $theme_name."_logo_top",
        			"default" => "0",
        			"type" => "slider",
                    "slider_config" => array(
                                            "min"  => -50,
                                            "max"  => 50,
                                            "step" => 1,
                                            "type" => 'px'                                 
                                            )
                    );
        
        
        $user_options[] = array( "label" => __('Margin left', $theme_name),
        			"desc" => __('Choose the margin left for your logo.', $theme_name),
        			"id" => $theme_name."_logo_left",
        			"default" => "0",
                    "type" => "slider",
                    "slider_config" => array(
                                            "min"  => -50,
                                            "max"  => 50,
                                            "step" => 1,
                                            "type" => 'px'                                 
                                            )
                    );
               
        $user_options[] = array(
                    			"type"              => "separator"
                            );
        
        $user_options[] = array(    "label"              => __('Enable background', $theme_name),
                        			"desc"               => __('Enable background (color or image).', $theme_name),
                        			"id"                 => $theme_name."_background",
                        			"default"            => 'yes',
                        			"type"               => "radio",
                                    "values"             => $yes_no,
                                    "controls"           => array(
                                                                    array(
                                                                            "controls_child_id"         => $theme_name."_color_background",
                                                                            "controls_when_value_id"    => 'yes'
                                                                         ),
                                                                    array(
                                                                            "controls_child_id"         => $theme_name."_texture_background",
                                                                            "controls_when_value_id"    => 'yes'
                                                                         ),
                                                                    array(
                                                                            "controls_child_id"         => $theme_name."_image_background",
                                                                            "controls_when_value_id"    => 'yes'
                                                                         ),
                                                                    array(
                                                                            "controls_child_id"         => $theme_name."_repeat_background",
                                                                            "controls_when_value_id"    => 'yes'
                                                                         ),
                                                                    array(
                                                                            "controls_child_id"         => $theme_name."_defil_background",
                                                                            "controls_when_value_id"    => 'yes'
                                                                         ),
                                                                    array(
                                                                            "controls_child_id"         => $theme_name."_pos_background",
                                                                            "controls_when_value_id"    => 'yes'
                                                                         )
                                                                  )
                              );
        
        $user_options[] = array( "label" => __('Color', $theme_name),
        			"desc" => __('Choose the color of the background.', $theme_name),
        			"id" => $theme_name."_color_background",
        			"default" => "0a0a0a",
        			"type" => "colorpicker");
                    
        $user_options[] = array( "label" => __('Pattern', $theme_name),
        			"desc" => __('Choose a pattern for the background.', $theme_name),
        			"id" => $theme_name."_texture_background",
        			"default" => "pattern16",
                    "type" => "textures",
                    "values" => $textures_values
                    );
        
        
        $user_options[] = array( "label" => __('Image', $theme_name),
        			"desc" => __('Upload an image as background.', $theme_name),
        			"id" => $theme_name."_image_background",
        			"default" => "",
        			"type" => "upload");
        
        
        $user_options[] = array( "label" => __('Repeat', $theme_name),
        			"desc" => __('Various repeat modes.', $theme_name),
        			"id" => $theme_name."_repeat_background",
        			"default" => "",
        			"type" => "select",
        			"values" => $repeat_background);
        
        
        $user_options[] = array( "label" => __('Fixed', $theme_name),
        			"desc" => __('Scroll the background.', $theme_name),
        			"id" => $theme_name."_defil_background",
        			"default" => "yes",
        			"type" => "radio",
        			"values" => $yes_no);
        
        
        $user_options[] = array( "label" => __('Position', $theme_name),
        			"desc" => __('Different positions of background.', $theme_name),
        			"id" => $theme_name."_pos_background",
        			"default" => "",
        			"type" => "select",
        			"values" => $pos_background);
        
        $user_options[] = array(
                    			"type"              => "separator"
                            );
        
        $user_options[] = array( "label" => __('Custom CSS', $theme_name),
        			"desc" => __('Change the style without touching the style.css.', $theme_name),
        			"id" => $theme_name."_custom_css",
        			"default" => "",
        			"type" => "textarea");
        
        
        /* Option Page 4 - Videos */
        $user_options[] = array( "page_title" => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/video.png" />' . __('Videos', $theme_name),
        			"type" => "page");
                    
        
        $user_options[] = array( 
                                "label"              => __('Video player responsive', $theme_name),
                    			"desc"               => __('If enabled, the video player will fit the dimensions of the window.', $theme_name),
                    			"id"                 => $theme_name."_responsive_player",
                    			"default"            => "yes",
                    			"type"               => "radio",
                    			"values"             => $yes_no,
                                "controls"           => array(
                                                            array(
                                                                    "controls_child_id"         => $theme_name."_set_width",
                                                                    "controls_when_value_id"    => 'no'
                                                                 ),
                                                            array(
                                                                    "controls_child_id"         => $theme_name."_set_height",
                                                                    "controls_when_value_id"    => 'no'
                                                                 ),
                                                            )
                                );
                    
        
        $user_options[] = array( "label" => __('Video player width', $theme_name),
        			"desc" => __('Without px', $theme_name) . ', ' . __('eg', $theme_name) . ' 640',
        			"id" => $theme_name."_set_width",
        			"default" => "640",
        			"type" => "input");
                    
        
        $user_options[] = array( "label" => __('Video player height', $theme_name),
        			"desc" => __('Without px', $theme_name) . ', ' . __('eg', $theme_name) . ' 360',
        			"id" => $theme_name."_set_height",
        			"default" => "360",
        			"type" => "input");               
               
        $user_options[] = array( "label" => __('Use Youtube player', $theme_name),
        			"desc" => __('If not, Youtube videos will be played with the Novavideo player.', $theme_name),
        			"id" => $theme_name."_youtube_player",
        			"default" => "no",
        			"type" => "radio",
        			"values"    => $yes_no
                    );
                    
        $user_options[] = array( "label" => __('Autoplay', $theme_name),
        			"desc" => __('Choose if you want to launch the videos automatically.', $theme_name),
        			"id" => $theme_name."_autoplay_player",
        			"default" => 'no',
                    "values"    => $yes_no,
        			"type" => "radio"
                    );                     
        
        $user_options[] = array( "label" => __('Type of time display', $theme_name),
        			"desc" => __('Choose whether you want to view or extract the entire duration of your videos.', $theme_name),
        			"id" => $theme_name."_duree",
        			"default" => "extract",
        			"type" => "radio",
        			"values" => $duree
                    );
        
        
        $user_options[] = array(
                    			"type"              => "separator"
                            );
                    
                    
        $user_options[] = array( "label" => __('Hide description', $theme_name),
        			"desc" => __('If you hide the description, an information button will appear next to the title of your video.', $theme_name),
        			"id" => $theme_name."_hide_desc",
        			"default" => 'yes',
                    "values"    => $yes_no,
        			"type" => "radio"
                    );
                    
                    
        $user_options[] = array( "label" => __('Rating', $theme_name),
        			"desc" => __('Activate the video rating.', $theme_name),
        			"id" => $theme_name."_rating",
        			"default" => 'yes',
        			"type" => "radio",
        			"values" => $yes_no
                    );
                    
                    
        $user_options[] = array( "label" => __('Comments', $theme_name),
        			"desc" => __('Activate the video comments.', $theme_name),
        			"id" => $theme_name."_comments",
        			"default" => "no",
        			"type" => "radio",
        			"values" => $yes_no); 
                    
        
        $user_options[] = array(
                    			"type"              => "separator"
                            );
                    
                    
        /*$user_options[] = array( 
                                "label"              => __('Navigation', $theme_name),
                    			"desc"               => __('Display the previous/next video navigation.', $theme_name),
                    			"id"                 => $theme_name."_video_nav",
                    			"default"            => "no",
                    			"type"               => "radio",
                    			"values"             => $yes_no,
                                "controls"           => array(
                                                            array(
                                                                    "controls_child_id"         => $theme_name."_display_nav",
                                                                    "controls_when_value_id"    => 'yes'
                                                                 ),                                                           
                                                            )
                                );
                                
        $user_options[] = array( "label" => __('Display', $theme_name),
        			"desc" => __('Display text title or video thumbnail.', $theme_name),
        			"id" => $theme_name."_display_nav",
        			"default" => "thumb",
        			"type" => "radio",
        			"values" => $display_nav);
                    
        
        $user_options[] = array(
                    			"type"              => "separator"
                            );*/
        
        $user_options[] = array( "label" => __('Share to Facebook', $theme_name),
        			"desc" => __('Display a share button to Facebook for each video.', $theme_name),
        			"id" => $theme_name."_facebook",
        			"default" => 'yes',
                    "values"    => $yes_no,
        			"type" => "radio");
        
        
        $user_options[] = array( "label" => __('Share to Twitter', $theme_name),
        			"desc" => __('Display a share button to Twitter for each video.', $theme_name),
        			"id" => $theme_name."_twitter",
        			"default" => 'yes',
                    "values"    => $yes_no,
        			"type" => "radio");
        
        
        $user_options[] = array( "label" => __('Share to Google +', $theme_name),
        			"desc" => __('Display a share button to Google Plus for each video.', $theme_name),
        			"id" => $theme_name."_google",
        			"default" => 'yes',
                    "values"    => $yes_no,
        			"type" => "radio");
                    
                    
        /* Option Page 5 - Carousel */
        $user_options[] = array( "page_title" => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/carousel.png" />' . __('Carousel', $theme_name),
        			"type" => "page"); 
                    
        
        $user_options[] = array(
                                "label"             => __('Carousel on homepage', $theme_name),
        			            "desc"              => __('Display your latest videos in a carousel on your homepage.', $theme_name),
        			            "id"                => $theme_name."_carousel",
        			            "default"           => 'yes',
        			            "type"              => "radio",
        			            "values"            => $yes_no,
                                "controls"          => array(
                                                            array(
                                                                    "controls_child_id"         => $theme_name."_carousel_pos",
                                                                    "controls_when_value_id"    => 'yes'
                                                                 ),
                                                            array(
                                                                    "controls_child_id"         => $theme_name."_carousel_nb",
                                                                    "controls_when_value_id"    => 'yes'
                                                                 ),                                                            
                                                            )
                                );
                                
        
        $user_options[] = array(
                                "label"             => __('Position', $theme_name),
        			            "desc"              => __('Display the carousel at the top or the bottom of your site.', $theme_name),
        			            "id"                => $theme_name."_carousel_pos",
        			            "default"           => "header",
        			            "type"              => "radio",
        			            "values"            => $carouselpos
                                );
        
        $user_options[] = array(
                                "label" => __('Number of videos', $theme_name),
                                "desc" => __('Choose the number of videos you want to display in the carousel.', $theme_name),
        			            "id" => $theme_name."_carousel_nb",
        			            "default" => "20",
        			            "type" => "slider",
                                "slider_config" => array(
                                                        "min"  => 10,
                                                        "max"  => 100,
                                                        "step" => 1,
                                                        "type" => __('videos', $theme_name)                                     
                                                        )
                                );
                                
        $user_options[] = array(
                    			"type"              => "separator"
                            );                                
        
        $user_options[] = array(
                                "label"             => __('Auto', $theme_name),
        			            "desc"              => __('Slides will automatically transition.', $theme_name),
        			            "id"                => $theme_name."_carousel_auto",
        			            "default"           => "yes",
        			            "type"              => "radio",
        			            "values"            => $yes_no
                                );
                                
        $user_options[] = array(
                                "label"             => __('Captions', $theme_name),
        			            "desc"              => __('Display the title of each video.', $theme_name),
        			            "id"                => $theme_name."_carousel_captions",
        			            "default"           => "yes",
        			            "type"              => "radio",
        			            "values"            => $yes_no
                                );
                                
        $user_options[] = array(
                                "label"             => __('Controls', $theme_name),
                    			"desc"              => __('Display a navigation previous/next video in the carousel.', $theme_name),
                    			"id"                => $theme_name."_carousel_controls",
                    			"default"           => "yes",
                    			"type"              => "radio",
                    			"values"            => $yes_no
                                );
        
        
        $user_options[] = array(
                                "label"             => __('Pager', $theme_name),
                    			"desc"              => __('Display a pager to navigate in the carousel.', $theme_name),
                    			"id"                => $theme_name."_carousel_pager",
                    			"default"           => "yes",
                    			"type"              => "radio",
                    			"values"            => $yes_no
                                );  
                                
        
        /* Option Page 6 - Advertising */
        $user_options[] = array( "page_title" => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/affiliate.png" />' . __('Advertising', $theme_name),
        			"type" => "page");
        
        
        $user_options[] = array( "label" => __('Header Banner', $theme_name),
        			"desc" => __('Enter the code of your banner (for example : 468x60)', $theme_name) . '<img class="advertising" src="' . get_bloginfo( 'template_url' ) . '/_admin/images/ad-header.png"/>',
        			"id" => $theme_name."_banner_header",
        			"default" => "",
        			"type" => "textarea");
        
        
        $user_options[] = array( "label" => __('Sidebar Banner', $theme_name),
        			"desc" => __('Enter the code of your banner (for example : 300x250 or 160x600)', $theme_name) . '<img class="advertising" src="' . get_bloginfo( 'template_url' ) . '/_admin/images/ad-sidebar.png"/>',
        			"id" => $theme_name."_banner_sidebar",
        			"default" => "",
        			"type" => "textarea");
        
        
        $user_options[] = array( "label" => __('Content Banner', $theme_name),
        			"desc" => __('Enter the code of your banner (for example : 728x120)', $theme_name) . '<img class="advertising" src="' . get_bloginfo( 'template_url' ) . '/_admin/images/ad-content.png"/>',
        			"id" => $theme_name."_banner_content",
        			"default" => "",
        			"type" => "textarea");
        
        
        $user_options[] = array( "label" => __('Footer Banner', $theme_name),
        			"desc" => __('Enter the code of your banner (for example : 728x90)', $theme_name) . '<img class="advertising" src="' . get_bloginfo( 'template_url' ) . '/_admin/images/ad-footer.png"/>',
        			"id" => $theme_name."_banner_footer",
        			"default" => "",
        			"type" => "textarea");
        
        
        $user_options[] = array( "label" => __('Home page Pop-Up', $theme_name),
        			"desc" => __('Enter the code of your pop-up (advertising, disclaimer, etc.)', $theme_name) . '<img class="advertising" src="' . get_bloginfo( 'template_url' ) . '/_admin/images/ad-popup.png"/>',
        			"id" => $theme_name."_pop_up",
        			"default" => "",
        			"type" => "textarea");
                    
                    
        /* Option Page 7 - Affiliation */
        if ( from_themabiz() === false ) {
            $user_options[] = array( "page_title" => '<img src="' . get_bloginfo( 'template_url' ) . '/_admin/images/cash.png" />' . __('Affiliation', $theme_name),
            			"type" => "page");
                        
                        
            $user_options[] = array( 
                                    "label"             => __('Your WP-script Affiliate ID', $theme_name),
            			            "desc"              => __('You are not affiliate on WP-script?', $theme_name) . ' <a href="http://www.wp-script.com/affiliation/" target="_blank"> ' . __('Check out our Affiliate Program', $theme_name) . '</a>',
            			            "id"                => $theme_name . "_affiliate_id",
            			            "default"           => "",
            			            "type"              => "input");
            
            
            $user_options[] = array(
                                    "label"             => __('Footer link', $theme_name),
                        			"desc"              => __('Change the "powered by Novavideo" link as affiliate link', $theme_name),
                        			"id"                => $theme_name . "_affiliate_footer_link",
                        			"default"           => "no",
                        			"type"              => "radio",
                        			"values"            => $yes_no
                                    );
                                    
            $user_options[] = array(
                                    "label"             => __('Header Banner', $theme_name),
            			            "desc"              => __('Display this banner with your affiliate ID in the header', $theme_name),
            			            "id"                => $theme_name . "_affiliate_banner_header",
            			            "default"           => "no",
            			            "type"              => "radio",
                        			"values"            => $yes_no
                                    );
                                    
            $user_options[] = array(
                                    "label"             => __('Sidebar Banner', $theme_name),
            			            "desc"              => __('Display this banner with your affiliate ID in the sidebar', $theme_name),
            			            "id"                => $theme_name . "_affiliate_banner_sidebar",
            			            "default"           => "no",
            			            "type"              => "radio",
                        			"values"            => $yes_no
                                    );
                                    
            $user_options[] = array(
                                    "label"             => __('Content Banner', $theme_name),
            			            "desc"              => __('Display this banner with your affiliate ID under the video player', $theme_name),
            			            "id"                => $theme_name . "_affiliate_banner_content",
            			            "default"           => "no",
            			            "type"              => "radio",
                        			"values"            => $yes_no
                                    );
                                    
            $user_options[] = array(
                                    "label"             => __('Footer Banner', $theme_name),
            			            "desc"              => __('Display this banner with your affiliate ID on the footer', $theme_name),
            			            "id"                => $theme_name . "_affiliate_banner_footer",
            			            "default"           => "no",
            			            "type"              => "radio",
                        			"values"            => $yes_no
                                    );
        }
                                                

        update_option('theme_options',$user_options);
    }

?>