<?php
 
$theme_name = novavideo_get_theme_name();  
   
$color_background   = get_option($theme_name . '_color_background');
$texture_background = get_option($theme_name . '_texture_background');  
$image_background   = get_option($theme_name . '_image_background'); 
$repeat_background  = get_option($theme_name . '_repeat_background');
$defil_background   = get_option($theme_name . '_defil_background');
$pos_background     = get_option($theme_name . '_pos_background');
         
$set_background = '';

if ( get_option( $theme_name . '_background' ) == "yes" ) {
    
    if( $color_background ){
        $set_background .= '#' . $color_background; 
    }    
    
    if( $image_background ){
    
        $set_background .= " url({$image_background})"; 
        
        switch ( $repeat_background ) {
            
            case ('width'):
                $set_background .= " repeat-x";
            break;
            
            case ('height'):
                $set_background .= " repeat-y";
            break;
            
            case ('width_and_height'):
                $set_background .= " repeat";
            break;
            
            case ('no_repeat'):
                $set_background .= " no-repeat";
            break;
            
            default:
            break;
        }
        
        switch ( $defil_background ) {
            
            case ('yes'):
                $set_background .= " fixed";
            break;
            
            case ('no'):
                $set_background .= " scroll";
            break;  
            
            default:
            break;
        }
        
        switch ( $pos_background ) {
            
            case ('top_left'):
                $set_background .= " left top";
            break;    
            
            case ('top_center'):
                $set_background .= " center top";
            break;
            
            case ('top_right'):
                $set_background .= " right top";
            break;
            
            case ('middle_left'):
                $set_background .= " left center";
            break;
            
            case ('middle_center'):
                $set_background .= " center center";
            break;
            
            case ('middle_right'):
                $set_background .= " right center";
            break;
            
            case ('bottom_left'):
                $set_background .= " left bottom";
            break;
            
            case ('bottom_center'):
                $set_background .= " center bottom";
            break;
            
            case ('bottom_right'):
                $set_background .= " right bottom";
            break;
            
            default:
            break;
        }
    }
    
    else if( $texture_background ){
        $set_background .= " url(" . get_bloginfo('template_url') . "/images/textures/{$texture_background}.png) repeat top left";
    }
    
    if( $set_background != '' ){
        $set_background = ' style="background:' . $set_background . ';"';
    }
    
}else{
    
    $set_background = '';
    
}

?>