<?php   

        function novavideo_import_various_css() {        
            
            $theme_responsive_design    = get_option( novavideo_get_theme_name() . '_responsive_design' );         
            
            wp_enqueue_style('style_css', get_template_directory_uri() . '/style.css');
            
            /** Atmosphere **/
            $athmosphere = get_option( novavideo_get_theme_name() . '_ambient' );  
                  
            wp_enqueue_style('atmosphere_css', get_template_directory_uri() . '/css/' . $athmosphere . '.css');
            
            /** Sidebar **/
            $theme_sidebar = get_option( novavideo_get_theme_name() . '_sidebar' );
            $theme_width_sidebar = get_option( novavideo_get_theme_name() . '_width_sidebar' );
            $theme_pos_sidebar = get_option( novavideo_get_theme_name() . '_pos_sidebar' );
            
            if ( $theme_sidebar == 'yes' ){            
                wp_enqueue_style('sidebar_width_css', get_template_directory_uri() . '/css/' . $theme_width_sidebar . '.php?responsive=' . $theme_responsive_design);            
                wp_enqueue_style('sidebar_pos_css', get_template_directory_uri() . '/css/' . $theme_pos_sidebar . '.css');
            }else{              
                wp_enqueue_style('sidebar_css', get_template_directory_uri() . '/css/nosidebar.php?responsive=' . $theme_responsive_design);
            }
            
            /** Shape **/
            $shape = get_option( novavideo_get_theme_name() . '_form' );
            
            wp_enqueue_style('shape_css', get_template_directory_uri() . '/css/' . $shape . '.php?responsive=' . $theme_responsive_design);
            
            /** Main color **/
            if( get_option( novavideo_get_theme_name() . '_main_color') == 'predefined_color' ){            
                $main_color = get_option( novavideo_get_theme_name() . '_predefined_color' );            
            }else if( get_option( novavideo_get_theme_name() . '_main_color') == 'custom_color' ){            
                $main_color = get_option( novavideo_get_theme_name() . '_custom_color' );
            }
            
            wp_enqueue_style('maincolor_css', get_template_directory_uri() . '/css/colors.php?color=' . $main_color);
            
            /** Carousel **/
            wp_enqueue_style('carousel_css', get_template_directory_uri() . '/css/jquery.bxslider.css');   
            
            /** Design plus **/              
            $dzplus = get_option( novavideo_get_theme_name() . '_dzplus' );
            
            if( $dzplus == 'yes' ) {            
                if( $athmosphere == 'dark' ) {
                    wp_enqueue_style('dzplus_css', get_template_directory_uri() . '/css/darkdzplus.css');        
                }else{
                    wp_enqueue_style('dzplus_css', get_template_directory_uri() . '/css/lightdzplus.css');
                }
            }
            
            /** Angles **/
            $theme_radius = get_option( novavideo_get_theme_name() . '_radius' );
            
            if ( $theme_radius == 'yes' ) {
                wp_enqueue_style('radius_css', get_template_directory_uri() . '/css/radius.css');    
            }
            
            /** Responsive **/
            if ( $theme_responsive_design == 'yes' ) {
                wp_enqueue_style('responsive_css', get_template_directory_uri() . '/css/responsive.css');     
            }
            
        }
        
        add_action('wp_enqueue_scripts', 'novavideo_import_various_css');

?>

<?php if ( get_option ( novavideo_get_theme_name() . '_enable_logo') == "yes" ) : ?>
    <!-- Logo margin -->
    <style type="text/css">
        #logo img {
            margin-top: <?php echo get_option ( novavideo_get_theme_name() . '_logo_top' ); ?>px;
            margin-left: <?php echo get_option ( novavideo_get_theme_name() . '_logo_left' ); ?>px;
            }
    </style>
<?php endif; ?>
  
<?php $custom_css = get_option(novavideo_get_theme_name() . '_custom_css'); ?>
<?php if ( $custom_css != "") : ?>  
    <!-- Custom CSS -->
    <style type="text/css">
        <?php echo $custom_css; ?>
    </style>
<?php endif; ?>

<?php
    $typo_title         = get_option(novavideo_get_theme_name() . '_typo_title');
    $typo_title_plus    = str_replace( ' ', '+', $typo_title );
    $site_title_size    = get_option(novavideo_get_theme_name() . '_site_title_size');
    $pages_title_size   = get_option(novavideo_get_theme_name() . '_pages_title_size');
    $widgets_title_size = get_option(novavideo_get_theme_name() . '_widgets_title_size');
?>
<?php if ( get_option(novavideo_get_theme_name() . '_google_font') == 'yes' ) : ?>
    
    <!-- Custom fonts -->    
    <link href='http://fonts.googleapis.com/css?family=<?php echo $typo_title_plus; ?>' rel='stylesheet' type='text/css'/>

    <style type="text/css">
        h1, h2, h3, h4, h5, h6, #logotext a, .widget-title { font-family: '<?php echo $typo_title; ?>', sans-serif; }
        #logotext a { font-size: <?php echo $site_title_size; ?>px; }
        h1 { font-size: <?php echo $pages_title_size; ?>px; }
        .widget-title, h3#reply-title { font-size: <?php echo $widgets_title_size; ?>px; }
    </style>

<?php endif; ?>

<?php
    if ( get_option(novavideo_get_theme_name() . '_pop_up') != "") :
        echo stripslashes ( get_option(novavideo_get_theme_name() . '_pop_up') );
    endif;
?>

<?php
    if ( get_option(novavideo_get_theme_name() . '_tracking') != "") :
        echo stripslashes ( get_option(novavideo_get_theme_name() . '_tracking') );
    endif;
?>