<?php
/**
 * The template for displaying Tag pages.
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */

get_header(); ?>

    <?php
        
        $filtre = novavideo_get_filtre();
        if( $filtre === false )
        $filtre = 'date';
        $user_filtre = 'filtre=' . $filtre . '&amp;';
        
        $display = isset( $_GET['display'] ) ? $_GET['display']: null;        
        if( $display == null )
        
        $display = get_option( novavideo_get_theme_name() . '_type_display' );
        $user_display = 'display=' . $display . '&amp;';
    ?>
    
    <h1 class="border-radius-5">
		<?php if ( is_day() ) : ?>
			<?php printf( __( 'Daily Archives: %s', novavideo_get_theme_name() ), '<span>' . get_the_date() . '</span>' ); ?>
		<?php elseif ( is_month() ) : ?>
			<?php printf( __( 'Monthly Archives: %s', novavideo_get_theme_name() ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', novavideo_get_theme_name() ) ) . '</span>' ); ?>
		<?php elseif ( is_year() ) : ?>
			<?php printf( __( 'Yearly Archives: %s', novavideo_get_theme_name() ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', novavideo_get_theme_name() ) ) . '</span>' ); ?>
		<?php else : ?>
			<?php _e( 'Blog Archives', novavideo_get_theme_name() ); ?>
		<?php endif; ?>
         <?php echo novavideo_get_nb_video(); ?>
        <?php novavideo_page_number( ' - ' ); ?>
	</h1>
    
    <div id="filtres">
    
        <div class="filtre-container">
        
            <?php _e('Sort by', novavideo_get_theme_name() ); ?> :
        
            <span class="border-radius-5"><?php echo novavideo_get_filtre_name( $filtre );?> <strong>&#9660;</strong></span>
            
            <ul class="filtre-list">
                <li <?php echo ($filtre == 'date') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=date"><?php echo __('lastest', novavideo_get_theme_name());?></a></li>
                <li <?php echo ($filtre == 'views') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=views"><?php echo __('most viewed', novavideo_get_theme_name());?></a></li>
                <li <?php echo ($filtre == 'duree') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=duree"><?php echo __('longest', novavideo_get_theme_name());?></a></li>
                <?php if( get_option( novavideo_get_theme_name() . '_rating' ) == 'yes' ):?>
                <li <?php echo ($filtre == 'duree') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=duree"><?php echo __('longest', novavideo_get_theme_name());?></a></li>
                <?php endif;?>
                <li <?php echo ($filtre == 'random') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=random"><?php echo __('random', novavideo_get_theme_name());?></a></li>
            </ul>
        
        </div><!-- .filtre-list -->       
    
        <div class="filtre-display">
        
            <?php _e('View mode', novavideo_get_theme_name() ); ?> :           
                
                <ul>
                    <li <?php echo ($display == 'tube') ? 'class="selected"' : ''; ?>>
                        <a id="tube" href="?<?php echo $user_filtre; ?>display=tube"><?php _e('tube', novavideo_get_theme_name() ); ?></a>
                    </li>   
                    <li <?php echo ($display == 'extract') ? 'class="selected"' : ''; ?>>
                        <a id="tube-extract" href="?<?php echo $user_filtre; ?>display=extract"><?php _e('tube with extract', novavideo_get_theme_name() ); ?></a>
                    </li>
                    <li <?php echo ($display == 'wall') ? 'class="selected"' : ''; ?>>
                        <a id="wall" href="?<?php echo $user_filtre; ?>display=wall"><?php _e('wall thumbnails', novavideo_get_theme_name() ); ?></a>
                    </li>            
                </ul>
        
        </div><!-- .filtre-display -->
        
    </div><!-- #filtres -->
            
    <?php if( have_posts() ): ?>
    
        <ul class="listing-videos listing-<?php echo $display;?>">

        <?php while ( have_posts() ) : the_post(); ?>
        
            <?php get_template_part( 'item', $display ); ?>
            
        <?php endwhile; ?>
        
        </ul>
        
    <?php endif; ?>
        
    <div class="clear"></div>
    
    <div class="pagination"><?php novavideo_theme_pagination(); ?></div><!-- .pagination -->
   
</div><!-- #content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>