<?php
/**
 * The main template file.
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */
 
 ?>

<?php get_header(); ?>

    <?php
        
        $search = isset( $_GET['s'] ) ? $_GET['s']: null;
        
        if( $search ){
            $user_filtre .= 's=' . $_GET['s'] . '&amp;';
        }
        
        $filtre = isset( $_GET['filtre'] ) ? $_GET['filtre']: 'date';
        $cat = isset( $_GET['cat'] ) ? $_GET['cat']: 0;
            
        $user_filtre = 'filtre=' . $filtre . '&amp;';
        
        $display = isset( $_GET['display'] ) ? $_GET['display']: get_option( novavideo_get_theme_name() . '_type_display' );
                        
        $user_display = 'display=' . $display . '&amp;';
        
        
        
        if( ($filtre != null) && ($cat >= 0) ) :
        
            $args = array(
                'posts_per_page'    => get_option( novavideo_get_theme_name() . '_nb_videos_listing' ),
                'post_type'         => 'post',
                'paged'             => $paged,
            );
            
            $tri = null;
            
            switch( $filtre ){
                
                    case 'date' :
                    
                    $args = array(
                        'orderby'           => 'date',
                        'order'             => 'DESC',
                        'posts_per_page'    => get_option( novavideo_get_theme_name() . '_nb_videos_listing' ),
                        'paged'             => $paged,
                        'cat'               => $cat
                    );
                    break; 
                             
                    case 'views' :
                
                    $args = array(
                        'meta_key'          => 'post_views_count',
                        'orderby'           => 'meta_value_num',
                        'order'             => 'DESC',
                        'posts_per_page'    => get_option( novavideo_get_theme_name() . '_nb_videos_listing' ),
                        'paged'             => $paged,
                        'cat'               => $cat
                    );
                    break;
                    
                    case 'duree' :
                
                    $metakey = get_option ( novavideo_get_theme_name() . '_duree' );
                    $args = array(
                        'meta_key'          => $metakey,
                        'orderby'           => 'meta_value_num',
                        'order'             => 'DESC',
                        'posts_per_page'    => get_option( novavideo_get_theme_name() . '_nb_videos_listing' ),
                        'paged'             => $paged,
                        'cat'               => $cat
                    );
                    break;
                    
                case 'rate':
                
                    $args = array(
                        'meta_key'          => $filtre,
                        'orderby'           => 'meta_value_num',
                        'order'             => 'DESC',
                        'posts_per_page'    => get_option( novavideo_get_theme_name() . '_nb_videos_listing' ),
                        'paged'             => $paged,
                        'cat'               => $cat
                    );
                    break;
                
                default:
                
                    $args = array(
                        'posts_per_page'    => get_option( novavideo_get_theme_name() . '_nb_videos_listing' ),
                        'post_type'         => 'post',
                        'paged'             => $paged
                    );
                    break;
            }
            
            $tri = /*'' . __('sorted by', novavideo_get_theme_name()) . '' . */novavideo_corres_tv( $filtre );

            $term = $wp_query->queried_object;
            $wp_query = new WP_Query( $args );
    
    ?>
         
            <!-- Home title and description -->            
            <?php
                $home_title = get_option( novavideo_get_theme_name() . '_home_title' );
                $home_desc  = get_option( novavideo_get_theme_name() . '_home_desc' );
            ?>
            
            <?php if ( empty($home_title) ) : ?>
            
                <h1 class="home border-radius-5 box-shadow"><?php _e('All videos of', novavideo_get_theme_name()); ?> <?php echo get_bloginfo('name'); ?> <?php novavideo_page_number( ' - ' ); ?></h1> 
                
                <?php if ( $home_desc != '' ) : ?>
                
                    <div class="infobutton border-radius-right-5"></div>
                    
                    <div class="infotext"><p><?php echo stripslashes($home_desc); ?></p></div>
                    
                <?php endif; ?>
                
            <?php else: ?>
                
                <h1 class="home border-radius-5 box-shadow"><span><?php echo stripslashes($home_title); ?> <?php novavideo_page_number( ' - ' ); ?></span></h1>
                
                <?php if ( $home_desc != '' ) : ?>
                    
                    <div class="infobutton border-radius-right-5"></div>
                    
                    <div class="infotext"><p><?php echo stripslashes($home_desc); ?></p></div>
                    
                <?php endif; ?>
                
            <?php endif; ?>         
                    
        <!-- Video Widgets -->
        <?php if ( function_exists('dynamic_sidebar') && is_active_sidebar('homepage') && (!isset($_GET['filtre'])) && (!isset($_GET['cat'])) ) : ?>
        
            <?php dynamic_sidebar('Homepage Content');?>
            
        <?php else: ?>
        
            <!-- Home listing videos -->                                 
            <?php $home_query = new WP_Query( array( 'posts_per_page' => get_option( novavideo_get_theme_name() . '_nb_videos_listing' ), 'post_type' => 'post', 'paged'=>$paged ) ); ?>            

            <div id="filtres">
    
                <div class="filtre-container">
        
                    <?php _e('Sort by', novavideo_get_theme_name() ); ?> :
                
                    <span class="border-radius-5"><?php echo novavideo_get_filtre_name( $filtre );?> <strong>&#9660;</strong></span>
                    
                    <ul class="filtre-list">
                        <li <?php echo ($filtre == 'date') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=date"><?php echo __('latest', novavideo_get_theme_name());?></a></li>
                        <li <?php echo ($filtre == 'views') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=views"><?php echo __('most viewed', novavideo_get_theme_name());?></a></li>
                        
                        <li <?php echo ($filtre == 'duree') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=duree"><?php echo __('longest', novavideo_get_theme_name());?></a></li>
                        
                        <?php if( get_option( novavideo_get_theme_name() . '_rating' ) == 'yes' ):?>
                            <li <?php echo ($filtre == 'rate') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=rate"><?php echo __('top rated', novavideo_get_theme_name());?></a></li>
                        <?php endif;?>
                        <li <?php echo ($filtre == 'random') ? 'class="selected"' : ''; ?>><a href="?<?php echo $user_display;?>filtre=random"><?php echo __('random', novavideo_get_theme_name());?></a></li>
                    </ul><!-- .filtre-list -->
                
                </div><!-- .filtre-container -->     
            
                <div class="filtre-display">
                
                    <?php _e('View mode', novavideo_get_theme_name() ); ?> :         
                
                    <ul>
                        <li <?php echo ($display == 'tube') ? 'class="selected"' : ''; ?>>
                            <a id="tube" href="?<?php echo $user_filtre; ?>display=tube"><?php _e('tube', novavideo_get_theme_name() ); ?></a>
                        </li>   
                        <li <?php echo ($display == 'extract') ? 'class="selected"' : ''; ?>>
                            <a id="tube-extract" href="?<?php echo $user_filtre; ?>display=extract"><?php _e('tube with extract', novavideo_get_theme_name() ); ?></a>
                        </li>
                        <li <?php echo ($display == 'wall') ? 'class="selected"' : ''; ?>>
                            <a id="wall" href="?<?php echo $user_filtre; ?>display=wall"><?php _e('wall thumbnails', novavideo_get_theme_name() ); ?></a>
                        </li>            
                    </ul>
                
                </div><!-- .filtre-display -->
                
            </div><!-- #filtres -->

            <?php if ( have_posts() ) : ?>
    
                <ul class="listing-videos listing-<?php echo $display; ?>">
                
                <?php while ( have_posts() ) : the_post(); ?>
                                       
                    <?php get_template_part( 'item', $display ); ?>
                
                <?php endwhile; ?>
                
                </ul>
                
            <?php endif; ?>
            
            <div class="clear"></div>

                    
            
        <?php endif; ?>
        
    <?php endif; ?>
    
    <div class="clear"></div>
    
    <?php if ( function_exists('dynamic_sidebar') && is_active_sidebar('homepage') && (!isset($_GET['filtre'])) && (!isset($_GET['cat'])) ) : ?>
    
    <?php else: ?>
    
        <div class="pagination"><?php novavideo_theme_pagination(); ?></div><!-- .pagination -->
        
    <?php endif; ?>
    
</div><!-- #content -->
 
<?php get_sidebar(); ?>
<link rel="canonical" href="http://www.20script.ir" />
<?php get_footer(); ?>