<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Novavideo
 * @since Novavideo 1.0
 */
 
get_header();

include_once( TEMPLATEPATH . '/_includes/mobile-detect.php' ); ?>

    <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
    
    <?php novavideo_setPostViews(get_the_ID()); $current_postID = $post->ID; ?>
        
        <div id="video" itemscope itemtype="http://schema.org/Movie"> 
          
                <h1 class="border-radius-top-5" itemprop="name"><span><?php the_title(); ?></span></h1>
                
                <meta itemprop="image" content="<?php echo novavideo_get_post_image( 'full', true );?>" />               
                
            
                <!-- Video player -->
                <?php
                     if ( get_option( novavideo_get_theme_name() . '_responsive_player' ) == 'yes' && novavideo_get_video_rendering() )
                        $video_class = 'minheight video-load';
                     elseif ( novavideo_get_video_rendering() )
                        $video_class = 'video-load';
                ?>
                
                 <div id="video-code" class="<?php echo $video_class;?>">    

                    <!-- Hidden description -->
                    <?php if ( get_option( novavideo_get_theme_name() . '_hide_desc' ) == 'yes' && get_the_content() != '' && novavideo_get_video_rendering() ) : ?> 
                        <div class="infobutton border-radius-top-right-5"></div>               
                        <div class="infotext border-radius-top-5" itemprop="description"><?php the_content(); ?></div>                        
                    <?php endif; ?>
                    
                    <?php if ( novavideo_get_video_rendering() ) : ?>
                    
                        <div class="video-embed">
                            <?php echo novavideo_get_video_rendering(); ?>                            
                        </div>                                                                                                                       
                        
                    <?php else: ?>
                    
                        <div class="video-embed">                        
                            <?php the_content(); ?>                            
                        </div>
                        
                    <?php endif; ?>                     
                    
                </div><!-- #video-code -->
                    
                
                <!-- Video advertising -->
                <?php include_once( TEMPLATEPATH . '/_front/single/video-advertising.php' ); ?>
                
                <!-- Video infos -->                
                <?php include_once( TEMPLATEPATH . '/_front/single/video-infos.php' ); ?>
                
                <!-- Shadow DZ plus -->
                <?php if ( get_option( novavideo_get_theme_name() . '_dzplus' ) == 'yes' ) : ?>
                    <img id="shadow_img" src="<?php echo get_bloginfo('template_url'); ?>/images/video-shadow.png" width="100%" />                
                <?php endif; ?>
            
        </div><!-- #video -->
        
        <!-- Content banner -->
        <?php
            $content_banner                 = novavideo_get_banner( 'content' );
            $affiliate_id                   = get_option ( novavideo_get_theme_name() . '_affiliate_id' );
            $_affiliate_banner_content      = get_option ( novavideo_get_theme_name() . '_affiliate_banner_content' );
        ?>
        <?php if ( $affiliate_id != '' && $_affiliate_banner_content == 'yes' ) : ?>
            <div class="content-banner"><a href="http://www.wp-script.com/?ref=<?php echo $affiliate_id; ?>" title="Create Adult Video Websites with our Premium Wordpress Themes and Plugins" target="_blank" rel="nofollow"><img src="http://www.wp-script.com/banners/wp-script-leaderboard-dark.gif" alt="Create Adult Video Websites with our Premium Wordpress Themes and Plugins" /></a></div>
        <?php elseif ( !empty( $content_banner ) ) : ?> 
            <div class="content-banner"><?php echo $content_banner ?></div>
        <?php endif; ?>
        
        <!-- Video content widget -->                      
        <?php
            if ( function_exists('dynamic_sidebar') && is_active_sidebar('video-content') )
                dynamic_sidebar('Video Content');
        ?>
        
        <!-- Comments -->
        <?php if ( get_option( novavideo_get_theme_name() . '_comments' ) == 'yes' ) : ?>
              
            <div id="comments">                
            
                <div class="comments-template">
                    <?php comments_template( '', true ); ?>
                </div>
                
            </div><!-- #comments -->
            
        <?php endif;?>
        
        <?php endwhile; else: ?>
            <?php _e('No video founded.', novavideo_get_theme_name()); ?>
        <?php endif; ?>
        
        <div class="clear"></div>
        
    </div><!-- #content -->

    <?php wp_reset_query(); ?> 

<?php get_sidebar(); ?>
<?php get_footer(); ?>